with GNATCOM.Dispinterface;

package MSHTML.DispHTMLUrnCollection_Object is

   type DispHTMLUrnCollection_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_length
     (This : DispHTMLUrnCollection_Type)
     return GNATCOM.Types.VARIANT;

   function item
     (This  : DispHTMLUrnCollection_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_constructor
     (This : DispHTMLUrnCollection_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispHTMLUrnCollection_Object;

